/*
 * $Id: powermode.h,v 1.17 2007/02/20 23:14:23 illogical Exp $
 * powermode.h : blah blah blah Powermode NVRAM foo
 *
 * Copyright 2001 Sun Microsystems, Inc.
 */

#ifndef COBALT_POWERMODE_H
#define COBALT_POWERMODE_H

enum cobalt_powermode {
	COBALT_POWER_ON=1,
	COBALT_POWER_OFF=2,
	COBALT_POWER_SAME=3,
};

int __init cobalt_powermode_init (void);
void __exit cobalt_powermode_exit (void);
int cobalt_powermode_read_proc (char *buf, char **st, off_t off, int len, int *eof, void *x);
int cobalt_powermode_write_proc (struct file *file, const char *buffer, unsigned long count, void *data);

#endif
